---
title: "Notes - Setting"
description: ""
url: "https://docs.itrsgroup.com/docs/opsview/current/rest-api/notes/api-notes-setting/index.html"
---
Input:

```
opsview_rest --token-file /path/to/opsview_restapi_token --data-format=json --pretty PUT /rest/notes/host/7 --data='{ "note" : "New host note" }'
```

Returns:

```
{
   "id" : "7",
   "note" : "New host note",
   "writeable" : "1"
}
```

To clear a note, set `note` to an empty string.

There will be an error if no note parameter is set.

Below is an example:

```
opsview_rest --token-file /path/to/opsview_restapi_token --data-format=json --pretty PUT /rest/notes/host/7 --data='{ "note" : "<p>TEST1111</p>" }'
{
    {
        "id" : "7",
        "note" : "<p>TEST1111</p>",
        "writeable" : "1"
    }
}
```


**Note**


For more information on how to generate and use the token file, see [opsview_rest](https://docs.itrsgroup.com/docs/opsview/current/rest-api/rest-api-background/api-common-examples/index.html#opsview_rest) documentation.




